# Package org.apache.tomcat.util.http.fileupload.impl

Implementations and exceptions utils.

Class Summary
FileItemIteratorImpl: The iterator, which is returned by `FileUploadBase.getItemIterator(RequestContext)`.
FileItemStreamImpl: Default implementation of `FileItemStream`.

Exception Summary
FileCountLimitExceededException: This exception is thrown if a request contains more files than the specified limit.
FileSizeLimitExceededException: Thrown to indicate that A files size exceeds the configured maximum.
FileUploadIOException: This exception is thrown for hiding an inner `FileUploadException` in an `IOException`.
InvalidContentTypeException: Thrown to indicate that the request is not a multipart request.
IOFileUploadException: Thrown to indicate an IOException.
SizeException: This exception is thrown, if a requests permitted size is exceeded.
SizeLimitExceededException: Thrown to indicate that the request size exceeds the configured maximum.